<div id="memberProfile">
	<form action="" method="post">
		<div class="c-body">
			<div class="c-title"><?= __('profile_information') ?></div>
			<div class="inpStyle clearFloat inner">
				<label class="__mid" for="country">Paese</label>
				<input type="text" disabled="disabled" class="txt" value="<?= $this->user->username ?>" />
			</div>
		</div>

		<div class="c-body">
			<div class="inpStyle clearFloat inner">
				<label for="country"><?= __('pv2_label_country') ?></label>
				<? $model = new Cubix_Geography_Countries() ?>
				<select onchange="Geography.loadCities($('#city'), this)" id="country" name="country_id">
					<option value="">- <?= strtolower(__('pv2_label_country')) ?> - </option>
					<? foreach ($model->ajaxGetAll(false) as $country): ?>
						<option value="<?= $country->id ?>"<?= $this->user_data->country_id == $country->id ? ' selected="selected"' : '' ?>><?= $country->title ?></option>
					<? endforeach ?>
				</select>
			</div>

			<div class="inpStyle clearFloat inner">
				<label for="city"><?= __('pv2_label_city') ?></label>
				<? $model = new Cubix_Geography_Cities() ?>
				<select id="city" name="city_id">
					<option value="">- <?= strtolower(__('pv2_label_city')) ?> - </option>
					<? if ( $this->user_data->country_id ): ?>
						<? foreach ($model->ajaxGetAll(null, $this->user_data->country_id) as $city): ?>
							<option value="<?= $city->id ?>"<?= $this->user_data->city_id == $city->id ? ' selected="selected"' : '' ?>><?= $city->title ?></option>
						<? endforeach ?>
					<? endif ?>
				</select>
			</div>

			<div class="mail-block clearFloat inner">
				<p><b><?= __('pv2_label_email') ?>:</b> <?= $this->user_data->email ?></p>
				<p class="mail-note"><?= $this->t('reg_email_note') ?></p>
			</div>

			<div class="inpStyle inner-text clearFloat inner">
				<p for="city"><?= __('about_me') ?></p>
				<? $model = new Cubix_Geography_Cities() ?>
				<textarea placeholder="<?//= __('about_me') ?>" id="about_me" name="about_me"><?= $this->user_data->about_me ?></textarea>
			</div>
		</div>

		<div id="saveWrapper">
			<input id="saveMemberProfile" name="profile" type="submit" value="<?=__('save')?>">
		</div>
	</form>
</div>

<script>
	$(document).ready(function(){
		<?php if( count( $this->errors ) ): ?>
			var errors =  jQuery.parseJSON( '<?=json_encode( $this->errors )?>'),
					k = 0;

			$.each(errors, function( i, e ){
				MCubix.Errors.show( errors[i], ( k > 0 ) );
				$('[name=' + i + ']').addClass('__error');
				k += 1;
			});
		<?php endif; ?>

		var saveBtn = $('#saveMemberProfile');

		saveBtn.on('click', function(e){
			e.preventDefault();
			MCubix.OverlayV2.init( true );

			$(this).closest('form').submit();
		});
	});
</script>
